Bug 850908 - Add pagination to /consumers
Summary: Add pagination to /consumers
Status: CLOSED WONTFIX
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin   
(Show other bugs)
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: candlepin-bugs
QA Contact: Eric Sammons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-22 17:09 UTC by Vincent Batts
Modified: 2015-05-14 14:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-02 17:25:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Batts 2012-08-22 17:09:24 UTC
Description of problem:
Presently, with over 41,000 consumers
  """SELECT COUNT(1) FROM `cp_consumer`;"""
the '/consumers' call never returns. 
(It will keep the HTTP session alive though :-)

Version-Release number of selected component (if applicable):
0.5.x and 0.7.3

How reproducible:
consistent

Steps to Reproduce:
1. Have a ton of consumers ( > 41000 )
2. call /consumers
3.
  
Actual results:
never returns

Expected results:
A list of consumers. Potentially segmenting the expected results with pagination parameters.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.